Bug 842265 - No route matches "/conductor/deployments/1/instances" caused by models.js BUG
No route matches "/conductor/deployments/1/instances" caused by models.js BUG
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: aeolus-conductor (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 05:49 EDT by Etsuji Nakai
Modified: 2013-07-10 09:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-10 09:50:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Removing extra prefixedPath (588 bytes, patch)
2012-07-23 05:49 EDT, Etsuji Nakai
no flags Details | Diff

  None (edit)
Description Etsuji Nakai 2012-07-23 05:49:21 EDT
Created attachment 599739 [details]
Removing extra prefixedPath

Description of problem:

The following error is kept logging in /var/log/aeolus-conductor/rails.log

-----
Started GET "/conductor/conductor/deployments/1/instances?_=1342614517096" for 127.0.0.1 at 2012-07-18 21:28:36 +0900
ActionController::RoutingError (No route matches "/conductor/deployments/1/instances"):
-----

This is caused by incorrect URL construction in /usr/share/aeolus-conductor/public/javascripts/backbone/models.js where the rootURL is doubly added.

See the attached patch.


Version-Release number of selected component (if applicable):

# rpm -qa | grep aeolus
rubygem-aeolus-cli-0.5.0-1.fc17.noarch
aeolus-configure-2.6.1-1.fc17.noarch
aeolus-conductor-0.10.4-1.fc17.noarch
rubygem-aeolus-image-0.5.0-1.fc17.noarch
aeolus-conductor-doc-0.10.4-1.fc17.noarch
aeolus-conductor-daemons-0.10.4-1.fc17.noarch
aeolus-all-0.10.4-1.fc17.noarch
Comment 1 Fedora End Of Life 2013-07-03 21:09:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Mo Morsi 2013-07-10 09:50:19 EDT
conductor has been discontinued. Closing

Note You need to log in before you can comment on or make changes to this bug.